Bug 254765 - dns/knot-resolver fails packaging
Summary: dns/knot-resolver fails packaging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-04 15:41 UTC by Marcel
Modified: 2021-04-14 00:41 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd)


Attachments
formatting and adjustments of knot-resolver (2.78 KB, patch)
2021-04-13 23:14 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel 2021-04-04 15:41:59 UTC
Port fails packaging:

===>  Building package for knot-resolver-5.3.0
@sample with 1 single argument expect ".sample" extension
pkg-static: Fail to apply keyword 'sample'
*** Error code 1

Issue seems to be in the first line of the port pkg-plist:

@sample %%ETCDIR%%/kresd.conf

where no ".sample" conf file is provided

Seems like it was added as part of ports rP542054.
Comment 1 commit-hook freebsd_committer 2021-04-13 23:10:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d94ae2c3c666fd3c26e4a5e572ad084d88a8b5f3

commit d94ae2c3c666fd3c26e4a5e572ad084d88a8b5f3
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-04-13 23:07:49 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-04-13 23:07:49 +0000

    dns/knot-resolver: Fix @sample use

    The port was not using the @sample functionality correctly, stage the
    correct sample config in post-install and fix the pkg-plist.

    PR:             254765
    Reported by:    Marcel <marcel@brickporch.com>
    Approved by:    maintainer timeout

 dns/knot-resolver/Makefile  | 4 +++-
 dns/knot-resolver/pkg-plist | 2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)
Comment 2 Kevin Bowling freebsd_committer 2021-04-13 23:11:11 UTC
Thanks for the report!
Comment 3 Leo Vandewoestijne 2021-04-13 23:14:29 UTC
Created attachment 224093 [details]
formatting and adjustments of knot-resolver

As per email of Baptiste Daroussin:
added the post-install command,
and renamed the sample in pkg-plist.

The rest is cosmetics, that pkgfmt was complaining about.

I did not add PORTREVISION.

Tested succesful with poudriere.
Comment 4 commit-hook freebsd_committer 2021-04-14 00:40:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fed0c40be92a3890a800250b21c5d470f1aad294

commit fed0c40be92a3890a800250b21c5d470f1aad294
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-04-14 00:32:57 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-04-14 00:39:05 +0000

    dns/knot-resolver: Apply maintainer's cleanup

    This also fixes the kresd.conf @sample, prefer the maintainer's
    approach in the cleanup patch that arrived after d94ae2c3c666

    PR:             254765
    Approved by:    Leo Vandewoestijne <freebsd@dns.company> (maintainer)

 dns/knot-resolver/Makefile | 23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)
Comment 5 Kevin Bowling freebsd_committer 2021-04-14 00:41:00 UTC
(In reply to Leo Vandewoestijne from comment #3)
Thanks, I've applied your changes as seen in the commit-hook.  Please consider using git in the future, it will make applying patches easier.